Package com.smartgwt.client.widgets.drawing

# Class Shadow

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.drawing.Shadow

All Implemented Interfaces:
  `HasHandlers`

public class Shadow extends DataClass
A class used to define a shadow used in a Draw<Shape> Types.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Shadow()`
  `Shadow(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBlur()`
  `String`
  `getColor()`
  `Point`
  `getOffset()`
  `static Shadow`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Shadow`
  `setBlur(int blur)`
  `Shadow`
  `setColor(String color)`
  `Shadow`
  `setOffset(Point offset)`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Shadow

    public Shadow()

  - ### Shadow

    public Shadow(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static Shadow getOrCreateRef(JavaScriptObject jsObj)

  - ### setBlur

    public Shadow setBlur(int blur)
    Parameters:
      `blur` - New blur value. Default value is 10
    Returns:
      `Shadow` instance, for chaining setter calls

  - ### getBlur

    public int getBlur()
    Returns:
      Current blur value. Default value is 10

  - ### setColor

    public Shadow setColor(String color)
    Parameters:
      `color` - New color value. Default value is black
    Returns:
      `Shadow` instance, for chaining setter calls
    See Also:
      - `CSSColor`

  - ### getColor

    public String getColor()
    Returns:
      Current color value. Default value is black
    See Also:
      - `CSSColor`

  - ### setOffset

    public Shadow setOffset(Point offset)
    Parameters:
      `offset` - New offset value. Default value is [0,0]
    Returns:
      `Shadow` instance, for chaining setter calls

  - ### getOffset

    public Point getOffset()
    Returns:
      Current offset value. Default value is [0,0]